Entitlements API
GET /api/v1/entitlements
Section titled “GET /api/v1/entitlements”Entitlements
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
GET /api/v1/entitlements/activations
Section titled “GET /api/v1/entitlements/activations”License Activations
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
DELETE /api/v1/entitlements/license
Section titled “DELETE /api/v1/entitlements/license”Remove License
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
POST /api/v1/entitlements/license
Section titled “POST /api/v1/entitlements/license”Set License
Request body (required), application/json, LicenseIn
| Field | Type | Required | Description |
|---|---|---|---|
license_key | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |
| 422 | Validation Error | HTTPValidationError |
POST /api/v1/entitlements/license/transfer
Section titled “POST /api/v1/entitlements/license/transfer”Transfer License
Request body (required), application/json, LicenseTransferIn
| Field | Type | Required | Description |
|---|---|---|---|
license_key | string | yes | |
recovery_code | string | yes |
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response |
POST /api/v1/entitlements/refresh
Section titled “POST /api/v1/entitlements/refresh”Force Refresh
Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful Response | any |